/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:



Copyright (c) 2001 World Wide Web Consortium,
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University).  All
Rights Reserved.  This program is distributed under the W3C's Software
Intellectual Property License.  This program is distributed in the
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.

See W3C License http://www.w3.org/Consortium/Legal/ for more details.


*/

package org.w3c.domts.level2.core;


import org.junit.jupiter.api.Test;
import org.w3c.dom.Attr;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.w3c.domts.DOMTest.load;


/**
 * The method removeAttributeNS removes an attribute by local name and namespace URI.
 * Create a new element and add a new attribute node to it.
 * Remove the attribute node using the removeAttributeNodeNS method.
 * Check if the attribute was remove by invoking the hasAttributeNS
 * method on the element and check if it returns false.
 *
 * @see <a href="http://www.w3.org/TR/DOM-Level-2-Core/core#ID-ElRemAtNS">http://www.w3.org/TR/DOM-Level-2-Core/core#ID-ElRemAtNS</a>
 */
public class elementremoveattributens01 {
    @Test
    void testRun() throws Throwable {
        Document doc = load("staff", false);
        Element element = doc.createElementNS("http://www.w3.org/DOM", "elem");
        Attr attribute = doc.createAttributeNS("http://www.w3.org/DOM/Test/createAttributeNS", "attr");
        Attr newAttribute = element.setAttributeNodeNS(attribute);
        element.removeAttributeNS("http://www.w3.org/DOM/Test/createAttributeNS", "attr");
        boolean state = element.hasAttributeNS("http://www.w3.org/DOM/Test/createAttributeNS", "attr");
        assertFalse(state, "elementremoveattributens01");
    }

    /**
     * Gets URI that identifies the test
     *
     * @return uri identifier of test
     */
    public String getTargetURI() {
        return "http://www.w3.org/2001/DOM-Test-Suite/level2/core/elementremoveattributens01";
    }

}
