/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:



Copyright (c) 2001 World Wide Web Consortium,
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University).  All
Rights Reserved.  This program is distributed under the W3C's Software
Intellectual Property License.  This program is distributed in the
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.

See W3C License http://www.w3.org/Consortium/Legal/ for more details.


*/

package org.w3c.domts.level2.core;


import org.junit.jupiter.api.Test;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.w3c.domts.DOMTest.load;


/**
 * The "getElementsByTagNameNS(namespaceURI,localName)" method for a
 * Element should return a new NodeList of all descendant Elements with a given
 * localName and namespaceURI in the order they were encountered in a preorder
 * traversal of the document tree.
 * Invoke method getElementsByTagNameNS(namespaceURI,localName) on the document
 * element with namespaceURI being "*" and localName is "employee".
 * Method should return a new NodeList containing five Elements.
 * Retrieve the FOURTH element whose name should be "emp:employee".
 * Derived from getElementsByTagNameNS02 and reflects its interpretation
 * that namespace="*" matches namespace unqualified tagnames.
 *
 * @see <a href="http://www.w3.org/TR/DOM-Level-2-Core/core#ID-1938918D">http://www.w3.org/TR/DOM-Level-2-Core/core#ID-1938918D</a>
 */
public class getElementsByTagNameNS09 {
    @Test
    void testRun() throws Throwable {
        Document doc = load("staffNS", false);
        Element docElem = doc.getDocumentElement();
        NodeList newList = docElem.getElementsByTagNameNS("*", "employee");
        assertEquals(5, newList.getLength(), "employeeCount");
        Element newElement = (Element) newList.item(3);
        String prefix = newElement.getPrefix();
        assertEquals("emp", prefix, "prefix");
        String lname = newElement.getLocalName();
        assertEquals("employee", lname, "lname");
    }

    /**
     * Gets URI that identifies the test
     *
     * @return uri identifier of test
     */
    public String getTargetURI() {
        return "http://www.w3.org/2001/DOM-Test-Suite/level2/core/getElementsByTagNameNS09";
    }

}
