/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:



Copyright (c) 2001-2003 World Wide Web Consortium,
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University).  All
Rights Reserved.  This program is distributed under the W3C's Software
Intellectual Property License.  This program is distributed in the
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.

See W3C License http://www.w3.org/Consortium/Legal/ for more details.


*/

package org.w3c.domts.level2.core;


import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;
import org.w3c.dom.*;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.w3c.domts.DOMTest.load;


/**
 * The "removeAttributeNS(namespaceURI,localName)" removes an attribute by
 * local name and namespace URI.  If the removed attribute has a
 * default value it is immediately replaced.  The replacing attribute has the same
 * namespace URI and local name, as well as the original prefix.
 * Retrieve the attribute named "emp:local" from emp:address
 * node, then remove the "emp:local"
 * attribute by invoking the "removeAttributeNS(namespaceURI,localName)" method.
 * The "emp:local" attribute has a default value defined in the
 * DTD file, that value should immediately replace the old
 * value.
 *
 * @see <a href="http://www.w3.org/TR/DOM-Level-2-Core/core#ID-ElRemAtNS">http://www.w3.org/TR/DOM-Level-2-Core/core#ID-ElRemAtNS</a>
 * @see <a href="http://www.w3.org/Bugs/Public/show_bug.cgi?id=238">http://www.w3.org/Bugs/Public/show_bug.cgi?id=238</a>
 */
public class removeAttributeNS02 {
    @Test
    @Disabled
    public void testRun() throws Throwable {
        Document doc = load("staffNS", true);
        NodeList elementList = doc.getElementsByTagName("emp:address");
        Node testAddr = elementList.item(0);
        ((Element) /*Node */testAddr).removeAttributeNS("http://www.nist.gov", "local1");
        elementList = doc.getElementsByTagName("emp:address");
        testAddr = elementList.item(0);
        Attr addrAttr = ((Element) /*Node */testAddr).getAttributeNodeNS("http://www.nist.gov", "local1");
        String attr = ((Element) /*Node */testAddr).getAttributeNS("http://www.nist.gov", "local1");
        String namespaceURI = addrAttr.getNamespaceURI();
        String localName = addrAttr.getLocalName();
        String prefix = testAddr.getPrefix();
        assertEquals("FALSE", attr, "attr");
        assertEquals("http://www.nist.gov", namespaceURI, "uri");
        assertEquals("local1", localName, "lname");
        assertEquals("emp", prefix, "prefix");
    }

    /**
     * Gets URI that identifies the test
     *
     * @return uri identifier of test
     */
    public String getTargetURI() {
        return "http://www.w3.org/2001/DOM-Test-Suite/level2/core/removeAttributeNS02";
    }

}
